Bug 235961 - default network doesn't take into account the host network
default network doesn't take into account the host network
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cole Robinson
: Triaged
Depends On:
Blocks: 594494 662922
  Show dependency treegraph
 
Reported: 2007-04-10 23:02 EDT by Jeremy Katz
Modified: 2010-12-14 03:10 EST (History)
7 users (show)

See Also:
Fixed In Version: libvirt-0.7.1-18.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 594494 (view as bug list)
Environment:
Last Closed: 2010-07-08 14:18:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2007-04-10 23:02:19 EDT
The default network setup as virbr0 when libvirtd is installed doesn't take into
account what the network already is.  This means that if you have libvirt
installed in a guest where the default networking setup is in use (or where
someone has happened to choose 192.168.122.0/24) then you end up with entirely
non-working networking.
Comment 1 Mark McLoughlin 2007-04-11 09:20:08 EDT
Right, the general problem is that we had to pick an IP range for the default
network, and there's always a chance that would conflict with a host's
configured network.

Alternatives I can think of:

  - Try and automatically determine an IP range for the network by looking
    at the configured IP/netmask on system interfaces before starting the
    network

  - Just refuse to start a network if it conflicts with an already configured
    interface

Just to be clear - the problem was seen here by having libvirt installed in a
guest, right? There's nothing wrong with that when you think about it ... you
might e.g. run qemu guests attached to a virtual network in a xen guest, and
we'd masquerade the traffic before leaving the guest ...
Comment 2 Daniel Berrange 2007-04-11 09:23:29 EDT
The second point of checking if a network conflicts with the host is probably
something we should do anyway - even for non-default networks.
Comment 3 Jeremy Katz 2007-04-11 10:43:00 EDT
(In reply to comment #1)
> Just to be clear - the problem was seen here by having libvirt installed in a
> guest, right? There's nothing wrong with that when you think about it ... you
> might e.g. run qemu guests attached to a virtual network in a xen guest, and
> we'd masquerade the traffic before leaving the guest ...

Yep.  I threw virt-manager + qemu + kvm into the manifest for the live DVD I'm
creating for the Summit and do most of my testing of the live images with kvm.

And checking for conflicts is going to be especially hard with NetworkManager as
the network may not (won't) be up when libvirtd starts and does the network config.
Comment 4 Bug Zapper 2008-04-03 20:02:12 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 21:27:52 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp
Comment 6 Mark McLoughlin 2008-05-07 04:08:42 EDT
Re-opening; nothing has changed on this front
Comment 7 Bug Zapper 2008-05-13 22:45:43 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-06-09 18:32:40 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Mark McLoughlin 2009-07-06 08:50:18 EDT
Nothing has changed on this front, still applies to Fedora 12
Comment 11 Bug Zapper 2009-11-16 02:55:17 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Fedora Update System 2010-06-17 12:56:03 EDT
libvirt-0.7.1-18.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libvirt-0.7.1-18.fc12
Comment 15 Fedora Update System 2010-06-21 09:02:48 EDT
libvirt-0.7.1-18.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libvirt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libvirt-0.7.1-18.fc12
Comment 16 Fedora Update System 2010-07-08 14:17:41 EDT
libvirt-0.7.1-18.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.